Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.filetransfer
Class MultipartUploadFactory

    java.lang.Object
      nextapp.echo2.webcontainer.filetransfer.MultipartUploadFactory

    public class MultipartUploadFactory

extends java.lang.Object

Factory for MultipartUploadSPI implementations. This class is responsible for discovery of MultipartUploadSPI implementations and creation of new instances on demand. Custom MultipartUploadSPI implementations may be configured by calling `System.setProperty(MultipartUploadSPI.SYSTEM_PROPERTY_NAME, "com.example.CustomMultipartUploadSPI")` from within an application entry point. The given fully qualified implementation class must implement a public default (no argument) constructor.

Field Summary
`protected static java.lang.Class` | `DEFAULT_MULTIPART_UPLOAD_SPI`
`protected static MultipartUploadSPI` | `INSTANCE`

Constructor Summary
`MultipartUploadFactory()`

Method Summary
`static MultipartUploadSPI` | `getMultipartUploadSPI()` Attempts to find the configured MultipartUploadSPI implementation class by checking for the System property setting `MultipartUploadSPI.SYSTEM_PROPERTY_NAME`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MULTIPART_UPLOAD_SPI

    protected static final java.lang.Class DEFAULT_MULTIPART_UPLOAD_SPI

### INSTANCE

    protected static MultipartUploadSPI INSTANCE

Constructor Detail

### MultipartUploadFactory

    public MultipartUploadFactory()

Method Detail

### getMultipartUploadSPI

    public static MultipartUploadSPI getMultipartUploadSPI()

  Attempts to find the configured MultipartUploadSPI implementation class by checking for the System property setting `MultipartUploadSPI.SYSTEM_PROPERTY_NAME`. If the property is null, a default implementation is created and returned.

  Returns:
    the implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD